Subject: Re: [PATCH v4] commit.c: use skip_prefix() instead of starts_with()

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Mar 2014 14:23:13 -0800

tanay abhra <[email-masked]> writes:

> On Wed, Mar 5, 2014 at 3:41 AM, Junio C Hamano <[email-masked]> wrote:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>> >> +            found = skip_prefix(buf, sigcheck_gpg_status[i].check + 1);
>> >> +            if(!found) {
>>
>> Missing SP between the control keyword and parenthesized expression
>> the keyword uses.
>>
>> I've fixed this (and the broken indentation) locally and queued the
>> result to 'pu', so no need to resend to correct this one.
>>
>> Thanks.
>>
>>
> Sorry about the indentation, it was due to not setting the tab to eight
> spaces. I found your mail late, so I had already
> sent a revised patch [1]. Please ignore that mail.
>
> Also , what should be my next step ,should I present a rough draft of a
> proposal , or tackle other bugs on the mailing list?

As far as I, as the maintainer of the project, am concerned [*1*],
we are done and I expect/require nothing more from you on this
change.

The MicroProject page says:

    ... If you've already done a microproject and are itching to do
    more, then get involved in other ways, like finding and fixing
    other problems in the code, or improving the documentation or
    code comments, or helping to review other people's patches on
    the mailing list, or answering questions on the mailing list or
    in IRC, or writing new tests, etc., etc. In short, start doing
    things that other Git developers do!

FYI, [GSoC 2014 timeline] (Google for it) tells us that would-be
students are supposed to be discussing project ideas with their
mentoring organizations now, in preparation for the actual student
application that begins on Mar 10 and ends on Mar 21.

[Footnote]

*1* I should mention that I am not involved in GSoC administration
and student selection for the Git project.